Package org.eclipse.zest.layouts

# Interface Stoppable

All Known Implementing Classes:
  `AbstractLayoutAlgorithm.Zest1`, `CompositeLayoutAlgorithm.Zest1`, `ContinuousLayoutAlgorithm`, `DirectedGraphLayoutAlgorithm.Zest1`, `GridLayoutAlgorithm.Zest1`, `HorizontalLayoutAlgorithm`, `HorizontalShift`, `HorizontalTreeLayoutAlgorithm`, `RadialLayoutAlgorithm.Zest1`, `SpringLayoutAlgorithm.Zest1`, `TreeLayoutAlgorithm.Zest1`, `VerticalLayoutAlgorithm`

@Deprecated(since="2.0", forRemoval=true) public interface Stoppable
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This interface will be removed in a future release.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addProgressListener(ProgressListener listener)`
Deprecated.
`void`
`stop()`
Deprecated.

## Method Details

### stop

@Deprecated void stop()
Deprecated.
This ends the runnable

### addProgressListener

@Deprecated void addProgressListener(ProgressListener listener)
Deprecated.